
Foreman - Bug #2316

Adding a disk to an existing RHEV 3.1 VM via Foreman results in an error

03/13/2013 09:07 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: VM management   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a disk to an existing VM it spits out the error:

it-ops-soc (oVirt) instance <vm name>: is not a member of DisplayType. Possible values for DisplayType are: vnc, spice

Despite this the disk add succeeds

Associated revisions

Revision 0e5696d3 - 05/22/2013 08:15 AM - Amos Benari

fixes #2316 Adding a disk to an existing RHEV 3.1 VM via Foreman results in an error

Revision 012a51b7 - 05/23/2013 04:32 AM - Amos Benari

fixes #2316 Adding a disk to an existing RHEV 3.1 VM via Foreman results in an error

(cherry picked from commit 0e5696d392b7e26dfc975d85d304a6b3bb1fa9fb)

History

#1 - 04/09/2013 01:45 PM - Anonymous

https://github.com/abenari/rbovirt/pull/21

#2 - 04/11/2013 02:15 PM - Dominic Cleal

- Category set to VM management

- Target version set to 1.2.0

#3 - 05/10/2013 05:22 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Amos Benari

Looks like we need a new rbovirt release to fix this, Amos?

#4 - 05/21/2013 09:02 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/628

#5 - 05/22/2013 08:56 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0e5696d392b7e26dfc975d85d304a6b3bb1fa9fb.
